# xarray.DataArray.dropna

`DataArray.``dropna`(dim: Hashable, how: str = 'any', thresh: int = None) → xarray.core.dataarray.DataArray

  Returns a new array with dropped labels for missing values along the provided dimension.

  Parameters:

  - dim (hashable) – Dimension along which to drop missing values. Dropping along multiple dimensions simultaneously is not yet supported.
  - how ({'any', 'all'}, optional) –
    - any : if any NA values are present, drop that label
    - all : if all values are NA, drop that label
  - thresh (int, default None) – If supplied, require this many non-NA values.

  Returns: |
  Return type: | DataArray